Saltar al contenido
Preparación y envíosConfiguración

Actualizar configuración de envíos

Cambia la ubicación predeterminada y activa o desactiva retiro, reparto y tarifas.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://api.ecomiq.pe/api/v1/shipping/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "defaultLocationId": "7204558912004324638",    "estimatedDeliveryEnabled": true,    "estimatedDeliveryFulfillmentDays": 30,    "pickupEnabled": true,    "localDeliveryEnabled": true,    "useLiveRates": false  }'
{  "storeId": "7204558912004327977",  "defaultLocationId": "7204558912004324638",  "estimatedDeliveryEnabled": true,  "estimatedDeliveryFulfillmentDays": 30,  "pickupEnabled": true,  "localDeliveryEnabled": true,  "useLiveRates": false}